Name:           perl-JSON-Any
Summary:        A meta-module to make working with JSON easier
Version:        1.39
Release:    4%{?dist}
License:        GPL+ or Artistic

Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/JSON-Any-%{version}.tar.gz
Patch0:         JSON-Any-1.39-Support-JSON-XS-4.patch
Patch1:         JSON-Any-1.39-Disable-allow_nonref-in-JSON-XS-4-and-JSON-PP-3.patch

URL:            https://metacpan.org/release/JSON-Any
BuildArch:      noarch

BuildRequires: make
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(CPAN)
BuildRequires:  perl(Cpanel::JSON::XS)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(JSON)
BuildRequires:  perl(JSON::MaybeXS)
BuildRequires:  perl(JSON::PP)
BuildRequires:  perl(JSON::Syck)
BuildRequires:  perl(JSON::XS) >= 1.52
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.42
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Warnings)
BuildRequires:  perl(Test::Without::Module)

Requires:       perl(Carp)
Requires:       perl(JSON::XS) >= 1.52

%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
JSON::Any provides a coherent API to bring together the various JSON modules
currently on CPAN.

%prep
%setup -q -n JSON-Any-%{version}
%patch0 -p1
%patch1 -p1

find .  -type f -exec chmod -c -x {} +

%build
%{__perl} Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor --default
make

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/JSON*
%{_mandir}/man3/JSON*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.39-4
- Rebuilt for loongarch64

* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.39-3
- rebuild

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.39-2
- rebuild

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.39-1
- initial build
